search
Global search across all searchable models
Perform global search across enabled models using Searchkick. Results are always filtered by company_id for data security. Supports model boosting, faceted search, and pagination.
POST
/
api
/
search
Global search across all searchable models
curl --request POST \
--url https://api.fluid.app/api/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"q": "<string>",
"models": [
"<string>"
],
"page": 9,
"per_page": 123,
"filters": {
"status": "<string>",
"active": true
}
}
'import requests
url = "https://api.fluid.app/api/search"
payload = {
"q": "<string>",
"models": ["<string>"],
"page": 9,
"per_page": 123,
"filters": {
"status": "<string>",
"active": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
q: '<string>',
models: ['<string>'],
page: 9,
per_page: 123,
filters: {status: '<string>', active: true}
})
};
fetch('https://api.fluid.app/api/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"<string>"{
"message": "<string>"
}"<string>"Authorizations
Bearer token authentication
Body
application/json
Search query string (required)
Array of model types to search. Available: order. Default: all available models
Page number for pagination (default: 1, max: 10)
Required range:
x <= 10Number of results per page (default: 20, max: 100)
Show child attributes
Show child attributes
Response
string | number | boolean | null | any[] | object
Success
Any valid JSON value for provider, integration, theme, metadata, or other dynamic payloads whose keys are not fixed by the API contract.
⌘I
Global search across all searchable models
